<?php

/**
*
* tempELA TEMPLATEPARSER CLASS
*
* usage:
*
* $myTemplate= new tempELA($TEMPLATEFILE);
* $marker[$MARKERNAME] = 'someString';
* $myTemplate->the_substituteMarkerArray($marker,$SECTIONAME);
*
*/

class tempELA {

	var $template_string;
	var $subpart;
	
	function tempELA($mytemplate_path) {
    		$this->template_string = implode("",file($mytemplate_path));
    	
        }
    
	function setSubpart($sectionmarker) {
			preg_match_all('/(.*)<!--(.*)###'.$sectionmarker.'###(.*)-->(.*)<!--(.*)###'.$sectionmarker.'###(.*)-->(.*)/siU',$this->template_string,$matches);
			$this->subpart = $matches[4][0];
		
			$this->subpart = ltrim($this->subpart);
			
			return;
	}
	
	function substituteMarkerArray($markerArray,$sectionmarker) {
		$this->setSubpart($sectionmarker);
		$content = $this->subpart;
		
		if(!is_array($markerArray)) {
			return false;
		} 
		
		foreach($markerArray as $key => $value) {
			$content =  preg_replace('/###'.$key.'###/',$value,$content);
		}
		
		return $content;
	}
	
	function the_substituteMarkerArray($markerArray,$sectionmarker) {
		echo $this->substituteMarkerArray($markerArray,$sectionmarker);
	}
	
	function getSubpart($sectionmarker) {
		$this->setSubpart($sectionmarker);
		return $this->subpart;
	}
	
	function theSubpart($sectionmarker) {
		echo $this->getSubpart($sectionmarker);
	}
}
?>